Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_ATTRIBUTE

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_ATTRIBUTE

All Implemented Interfaces:
  Cloneable

public class CK_ATTRIBUTE
extends Object
implements Cloneable

class CK_ATTRIBUTE includes the type, value and length of an attribute.

PKCS#11 structure:

     typedef struct CK_ATTRIBUTE {
       CK_ATTRIBUTE_TYPE type;
       CK_VOID_PTR pValue;
       CK_ULONG ulValueLen;
     } CK_ATTRIBUTE;

Field Summary
`Object` | `pValue` PKCS#11: CK_VOID_PTR pValue; CK_ULONG ulValueLen;
`long` | `type` PKCS#11: CK_ATTRIBUTE_TYPE type;

Constructor Summary
`CK_ATTRIBUTE()`

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`String` | `toString()` Returns the string representation of CK_ATTRIBUTE.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public long type

  PKCS#11:

         CK_ATTRIBUTE_TYPE type;

### pValue

    public Object pValue

  PKCS#11:

         CK_VOID_PTR pValue;
         CK_ULONG ulValueLen;

Constructor Detail

### CK_ATTRIBUTE

    public CK_ATTRIBUTE()

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.

### toString

    public String toString()

  Returns the string representation of CK_ATTRIBUTE.

  Returns:
    the string representation of CK_ATTRIBUTE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.